Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455351 - [FEAT] Addition of GSSAPI key exchange to OpenSSH (RFC4462)
Summary: [FEAT] Addition of GSSAPI key exchange to OpenSSH (RFC4462)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jan F. Chadima
QA Contact: Miroslav Vadkerti
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 23:04 UTC by Daniel Riek
Modified: 2018-11-14 18:17 UTC (History)
10 users (show)

Fixed In Version: openssh-5.3p1-9
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 14:33:40 UTC


Attachments (Terms of Use)

Description Daniel Riek 2008-07-14 23:04:53 UTC
The requested changes are not accepted upstream, but the requested functionality
is important for enterprise-class deployments. This request therefore aims at
working with upstream on enabling GSSAPI support in OpenSSH or to find an
alternative solution.

+++ This bug was initially created as a clone of Bug #443472 +++

> What is the exact nature of the problem trying to be solved with this
> request?
Please consider including the GSSAPI Key Exchange features in our
OpenSSH packages.

> What, if any, business requirements are satisfied by this request? (What
> is the use case context?)

OpenSSH contains support out of the box for GSSAPI user authentication
using the 'gssapi-with-mic' mechanism, which is fine for small sites
with small kerberos deployments.

Larger sites, have requested that the key exchange patches be
included with Red Hat's OpenSSH rpm.  Currently, many are rolling their
own version of OpenSSH with these patches:  

http://www.sxw.org.uk/computing/patches/openssh.html


> List the functional requirement(s) for performing the action(s) that are
> not presently possible. Please focus on describing the problem related
> requirements without projecting any specific solution.

GSSAPI key exchange will let customers use their existing key management
infrastructure (e.g. Kerberos), without having to distribute ssh host keys
everywhere.  Sites with larger Kerberos deployments will benefit from this
the mos because ssh host key maintenance quickly becomes a nightmare. 
With GSSAPI key exchange, servers do not need ssh host keys when being
accessed by clients with valid credentials.


> Each functional requirement must have clear acceptance criteria so Red Hat
> understands what success looks like. 

Be able to successfully perform, in SSH, server and user authentication
via GSSAPI without having to use gobs of maps of ssh host keys. 

There is an actual RFC published on OpenSSH Key exchange:
http://www.digipedia.pl/rfc/rfc4462.html

Comment 1 Bill Nottingham 2008-10-01 17:18:37 UTC
Any feedback on why upstream hasn't taken the changes?

Comment 2 Tomas Mraz 2008-10-01 18:06:51 UTC
Unfortunately even after multiple pings they did not respond.
But as this is RFC now I'm getting convinced to add the patch to our package anyway.

Comment 3 Siddharth Nagar 2010-01-04 17:04:25 UTC
Have there been any updates to the upstream status for this since the last update?

Comment 4 Jan F. Chadima 2010-01-07 10:04:11 UTC
no, but the patch is implemted in both fedora and rhel branches

Comment 7 Miroslav Vadkerti 2010-04-13 09:46:31 UTC
how-to-test instructions were provided, I will create a TCMS test case for this issue. Needinfo flag cleared.

Comment 9 Issue Tracker 2010-04-15 15:05:45 UTC
Event posted on 04-15-2010 11:05am EDT by kbaxley

I can most likely get my customer to help with testing once the Beta rolls
out.


This event sent from IssueTracker by kbaxley 
 issue 96013

Comment 10 Chris Ward 2010-05-12 07:47:38 UTC
Beta's out :)

Comment 16 releng-rhel@redhat.com 2010-11-15 14:33:40 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.